/* $RCSfile$ */
/* $Author$ */
/* $Date$ */
/* $Revision$ */


struct L2CrisLowPriorityRateEngr
{
    uint32 ClockCycle;
    uint32 Second1996;
    uint32 microsecond;
   float32 stmco;                              /* c/s */
   float32 stmoff;                             /* c/s */
   float32 z1ab;                               /* c/s */
   float32 z2ab;                               /* c/s */
   float32 z_gt_2ab;                           /* c/s */
   float32 z1cd;                               /* c/s */
   float32 z2cd;                               /* c/s */
   float32 z_gt_2cd;                           /* c/s */
   float32 hazard;                             /* c/s */
   float32 gh;                                 /* c/s */
   float32 mor;                                /* c/s */
   float32 hor;                                /* c/s */
   float32 adc2ab;                             /* c/s */
   float32 mnrgab;                             /* c/s */
   float32 adc2cd;                             /* c/s */
   float32 mnrgcd;                             /* c/s */
   float32 e1a;                                /* c/s */
   float32 e1b;                                /* c/s */
   float32 e2ab;                               /* c/s */
   float32 e3ab;                               /* c/s */
   float32 e4ab;                               /* c/s */
   float32 e5ab;                               /* c/s */
   float32 e6ab;                               /* c/s */
   float32 e7ab;                               /* c/s */
   float32 e8ab;                               /* c/s */
   float32 e9ab;                               /* c/s */
   float32 g2ab;                               /* c/s */
   float32 g3ab;                               /* c/s */
   float32 g4ab;                               /* c/s */
   float32 g5ab;                               /* c/s */
   float32 g6ab;                               /* c/s */
   float32 g7ab;                               /* c/s */
   float32 e1c;                                /* c/s */
   float32 e1d;                                /* c/s */
   float32 e2cd;                               /* c/s */
   float32 e3cd;                               /* c/s */
   float32 e4cd;                               /* c/s */
   float32 e5cd;                               /* c/s */
   float32 e6cd;                               /* c/s */
   float32 e7cd;                               /* c/s */
   float32 e8cd;                               /* c/s */
   float32 e9cd;                               /* c/s */
   float32 g2cd;                               /* c/s */
   float32 g3cd;                               /* c/s */
   float32 g4cd;                               /* c/s */
   float32 g5cd;                               /* c/s */
   float32 g6cd;                               /* c/s */
   float32 g7cd;                               /* c/s */
   float32 EventBuffer[NUM_CRIS_EVT_BUFFERS];  /* c/s */
   float32 livetim;                            /* sec */
   float32 helivet;                            /* sec */
   float32 hylivet;                            /* sec */
   float32 trg0rat;                            /* c/s */
   float32 trg1rat;                            /* c/s */
   float32 trg01;                              /* c/s */
   float32 ntagint;                            /* c/s */
   float32 nvldint;                            /* c/s */
   float32 nevproc;                            /* c/s */
   float32 nrtproc;                            /* c/s */
   float32 nsfterr;                            /* c/s */
   float32 nbadid;                             /* c/s */
   float32 ncebful;                            /* c/s */
   float32 nrebful;                            /* c/s */
   float32 nmacsys;                            /* c/s */
   float32 nhdwrej;                            /* c/s */
     uint8 QualityStmco;
     uint8 QualityStmoff;
     uint8 QualityZ1ab;
     uint8 QualityZ2ab;
     uint8 QualityZ_gt_2ab;
     uint8 QualityZ1cd;
     uint8 QualityZ2cd;
     uint8 QualityZ_gt_2cd;
     uint8 QualityHazard;
     uint8 QualityGh;
     uint8 QualityMor;
     uint8 QualityHor;
     uint8 QualityAdc2ab;
     uint8 QualityMnrgab;
     uint8 QualityAdc2cd;
     uint8 QualityMnrgcd;
     uint8 QualityE1a;
     uint8 QualityE1b;
     uint8 QualityE2ab;
     uint8 QualityE3ab;
     uint8 QualityE4ab;
     uint8 QualityE5ab;
     uint8 QualityE6ab;
     uint8 QualityE7ab;
     uint8 QualityE8ab;
     uint8 QualityE9ab;
     uint8 QualityG2ab;
     uint8 QualityG3ab;
     uint8 QualityG4ab;
     uint8 QualityG5ab;
     uint8 QualityG6ab;
     uint8 QualityG7ab;
     uint8 QualityE1c;
     uint8 QualityE1d;
     uint8 QualityE2cd;
     uint8 QualityE3cd;
     uint8 QualityE4cd;
     uint8 QualityE5cd;
     uint8 QualityE6cd;
     uint8 QualityE7cd;
     uint8 QualityE8cd;
     uint8 QualityE9cd;
     uint8 QualityG2cd;
     uint8 QualityG3cd;
     uint8 QualityG4cd;
     uint8 QualityG5cd;
     uint8 QualityG6cd;
     uint8 QualityG7cd;
     uint8 QualityEventBuffer[NUM_CRIS_EVT_BUFFERS];
     uint8 QualityLivetim;
     uint8 QualityHelivet;
     uint8 QualityHylivet;
     uint8 QualityTrg0rat;
     uint8 QualityTrg1rat;
     uint8 QualityTrg01;
     uint8 QualityNtagint;
     uint8 QualityNvldint;
     uint8 QualityNevproc;
     uint8 QualityNrtproc;
     uint8 QualityNsfterr;
     uint8 QualityNbadid;
     uint8 QualityNcebful;
     uint8 QualityNrebful;
     uint8 QualityNmacsys;
     uint8 QualityNhdwrej;
};


/* Definition:                                                       */
/*    ClockCycle = Adjusted S/C clock of the first minor frame of    */
/*                 the cycle in which the rate was accumulated.      */
/*                 The value 256 is subtracted from the S/C clock of */
/*                 the first minor frame of the cycle in which the   */
/*                 low priority rates were readout.                  */
/*                                                                   */
/* Note: All rates are decompressed.                                 */
/*                                                                   */
/* Note: Quality bits are defined in the table below.  If the field  */
/*       which the quality byte is trying to characterize contains   */
/*       multiple bytes, the quality byte associated with the field  */
/*       is the logical "or" of the individual quality bytes.        */
/*                                                                   */
/* Quality bits:                                                     */
/*    0x01 = Format ID error                                         */
/*    0x02 = Minor/major counter error                               */
/*    0x04 = S/C clock error                                         */
/*    0x08 = Sync bit error                                          */
/*    0x10 = Command table index error                               */
/*    0x20 = Cycle number error                                      */
/*    0x40 = Level 0 quality bit                                     */
/*    0x80 = Level 1 quality bit                                     */
