/* $RCSfile$ */
/* $Author$ */
/* $Date$ */
/* $Revision$ */


#define NUM_CRIS_ADC                              88

#define CRIS_ADC_MONITOR_P5V                       5
#define CRIS_ADC_MONITOR_P6V                       8
#define CRIS_ADC_MONITOR_M6V                       9
#define CRIS_ADC_MONITOR_P7V                       0
#define CRIS_ADC_MONITOR_M7V                      15
#define CRIS_ADC_MONITOR_P12V                     10
#define CRIS_ADC_MONITOR_M12V                     11
#define CRIS_ADC_MONITOR_P13V                      3
#define CRIS_ADC_MONITOR_M13V                      4
#define CRIS_ADC_MONITOR_P15V                      1
#define CRIS_ADC_MONITOR_P19V                      2
#define CRIS_ADC_MONITOR_MCP1                     16
#define CRIS_ADC_MONITOR_MCP2                     17
#define CRIS_ADC_MONITOR_HVPS_1I                  18
#define CRIS_ADC_MONITOR_HVPS_2I                  19
#define CRIS_ADC_MONITOR_HVPS_3I                  20
#define CRIS_ADC_MONITOR_HVPS_4I                  21
#define CRIS_ADC_MONITOR_SOFT_PSA_I               22
#define CRIS_ADC_MONITOR_SOFT_PSB_I               23
#define CRIS_ADC_TEMP_MOTHERBOARD_ELECT           70
#define CRIS_ADC_TEMP_MOTHERBOARD_DET             56
#define CRIS_ADC_TEMP_MOTHERBOARD_C               69
#define CRIS_ADC_TEMP_ANALOG_BOARD                67
#define CRIS_ADC_TEMP_POST_REG_BOARD              68
#define CRIS_ADC_TEMP_LOGIC_BOARD                 71
#define CRIS_ADC_TEMP_E12_ELECT                   57
#define CRIS_ADC_TEMP_E12_DET                     58
#define CRIS_ADC_TEMP_E34_ELECT                   59
#define CRIS_ADC_TEMP_E34_DET                     60
#define CRIS_ADC_TEMP_E56_ELECT                   61
#define CRIS_ADC_TEMP_E56_DET                     62
#define CRIS_ADC_TEMP_E789_ELECT                  63
#define CRIS_ADC_TEMP_E789_DET                    64
#define CRIS_ADC_TEMP_LVPS                        65
#define CRIS_ADC_TEMP_HVPS                        66
#define CRIS_ADC_TEMP_FIBER_PLANE_TOP0            76
#define CRIS_ADC_TEMP_FIBER_PLANE_TOP1            77
#define CRIS_ADC_TEMP_FIBER_PLANE_MID             78
#define CRIS_ADC_TEMP_FIBER_PLANE_BOT             79
#define CRIS_ADC_TEMP_IMAGE_INT1_SIDE             80
#define CRIS_ADC_TEMP_IMAGE_INT1_REAR             82
#define CRIS_ADC_TEMP_CAMERA1_ELECT               83
#define CRIS_ADC_TEMP_HVPS1                       84
#define CRIS_ADC_TEMP_IMAGE_INT2_SIDE             81
#define CRIS_ADC_TEMP_IMAGE_INT2_REAR             85
#define CRIS_ADC_TEMP_CAMERA2_ELECT               86
#define CRIS_ADC_TEMP_HVPS2                       87
#define CRIS_ADC_POSTDCE1A                        24
#define CRIS_ADC_POSTDCE1B                        25
#define CRIS_ADC_POSTDCE2AB                       28
#define CRIS_ADC_POSTDCE3AB                       32
#define CRIS_ADC_POSTDCE4AB                       34
#define CRIS_ADC_POSTDCE5AB                       40
#define CRIS_ADC_POSTDCE6AB                       42
#define CRIS_ADC_POSTDCE7AB                       48
#define CRIS_ADC_POSTDCE8AB                       50
#define CRIS_ADC_POSTDCE9AB                       54
#define CRIS_ADC_POSTDCG2AB                       30
#define CRIS_ADC_POSTDCG3AB                       36
#define CRIS_ADC_POSTDCG4AB                       38
#define CRIS_ADC_POSTDCG5AB                       44
#define CRIS_ADC_POSTDCG6AB                       46
#define CRIS_ADC_POSTDCG7AB                       52
#define CRIS_ADC_POSTDCE1C                        26
#define CRIS_ADC_POSTDCE1D                        27
#define CRIS_ADC_POSTDCE2CD                       29
#define CRIS_ADC_POSTDCE3CD                       33
#define CRIS_ADC_POSTDCE4CD                       35
#define CRIS_ADC_POSTDCE5CD                       41
#define CRIS_ADC_POSTDCE6CD                       43
#define CRIS_ADC_POSTDCE7CD                       49
#define CRIS_ADC_POSTDCE8CD                       51
#define CRIS_ADC_POSTDCE9CD                       55
#define CRIS_ADC_POSTDCG2CD                       31
#define CRIS_ADC_POSTDCG3CD                       37
#define CRIS_ADC_POSTDCG4CD                       39
#define CRIS_ADC_POSTDCG5CD                       45
#define CRIS_ADC_POSTDCG6CD                       47
#define CRIS_ADC_POSTDCG7CD                       53
