/* $RCSfile$ */
/* $Author$ */
/* $Date$ */
/* $Revision$ */


struct L2SisSingles {
   uint16 m1a;
   uint16 m1ha;
   uint16 m2a;
   uint16 m2ha;
   uint16 t1a;
   uint16 t2a;
   uint16 t3a;
   uint16 t4a;
   uint16 t5a;
   uint16 t6a;
   uint16 t7a;
   uint16 t8a;
   uint16 m12a;
   uint16 mora;
   uint16 hora;
   uint16 hiza;
   uint16 MaybeHiza;
   uint16 z2a;
   uint16 MaybeZ2a;
   uint16 MaybeZ1a;
   uint16 m1b;
   uint16 m1hb;
   uint16 m2b;
   uint16 m2hb;
   uint16 t1b;
   uint16 t2b;
   uint16 t3b;
   uint16 t4b;
   uint16 t5b;
   uint16 t6b;
   uint16 t7b;
   uint16 t8b;
   uint16 m12b;
   uint16 morb;
   uint16 horb;
   uint16 hizb;
   uint16 MaybeHizb;
   uint16 z2b;
   uint16 MaybeZ2b;
   uint16 MaybeZ1b;
   uint16 RejFast;
   uint16 StimCoin;
   uint16 hazard;
   uint16 adc2a;
   uint16 adc3a;
   uint16 adc2b;
   uint16 adc3b;
   uint16 CoinRate0;
   uint16 CoinRate1;
}


struct L2SisQualitySingles {
   uint8 m1a;
   uint8 m1ha;
   uint8 m2a;
   uint8 m2ha;
   uint8 t1a;
   uint8 t2a;
   uint8 t3a;
   uint8 t4a;
   uint8 t5a;
   uint8 t6a;
   uint8 t7a;
   uint8 t8a;
   uint8 m12a;
   uint8 mora;
   uint8 hora;
   uint8 hiza;
   uint8 MaybeHiza;
   uint8 z2a;
   uint8 MaybeZ2a;
   uint8 MaybeZ1a;
   uint8 m1b;
   uint8 m1hb;
   uint8 m2b;
   uint8 m2hb;
   uint8 t1b;
   uint8 t2b;
   uint8 t3b;
   uint8 t4b;
   uint8 t5b;
   uint8 t6b;
   uint8 t7b;
   uint8 t8b;
   uint8 m12b;
   uint8 morb;
   uint8 horb;
   uint8 hizb;
   uint8 MaybeHizb;
   uint8 z2b;
   uint8 MaybeZ2b;
   uint8 MaybeZ1b;
   uint8 RejFast;
   uint8 StimCoin;
   uint8 hazard;
   uint8 adc2a;
   uint8 adc3a;
   uint8 adc2b;
   uint8 adc3b;
   uint8 CoinRate0;
   uint8 CoinRate1;
}


struct L2SisLowPriorityRateAlternate {
                       uint32 ClockCycle;
                       uint32 Second1996;
                       uint32 microsecond;
          struct L2SisSingles rejcnts;
          struct L2SisSingles vldcnts;
                       uint16 EventBuffer[NUM_SIS_EVT_BUFFERS];
                       uint16 clasacc[NUM_SIS_EVT_CLASSES];
                       uint16 clastot[NUM_SIS_EVT_CLASSES];
                       uint16 livetim;
                       uint16 helivet;
                       uint16 hylivet;
                       uint16 ntagint;
                       uint16 nvldint;
                       uint16 nevproc;
                       uint16 nrtproc;
                       uint16 nbadid;
                       uint16 ncebful;
                       uint16 nrebful;
                       uint16 nhdwrej;
                       uint16 NumberEvents[NUM_SIS_EVT_CLASSES]
                                          [NUM_SIS_EVT_CLASSES];
   struct L2SisQualitySingles QualityRejcnts;
   struct L2SisQualitySingles QualityVldcnts;
                        uint8 QualityClasacc[NUM_SIS_EVT_CLASSES];
                        uint8 QualityClastot[NUM_SIS_EVT_CLASSES];
                        uint8 QualityLivetim;
                        uint8 QualityHelivet;
                        uint8 QualityHylivet;
                        uint8 QualityNtagint;
                        uint8 QualityNvldint;
                        uint8 QualityNevproc;
                        uint8 QualityNrtproc;
                        uint8 QualityNbadid;
                        uint8 QualityNcebful;
                        uint8 QualityNrebful;
                        uint8 QualityNhdwrej;
                        uint8 QualityEventBuffer;
};


/* Definition:                                                       */
/*    ClockCycle = Adjusted S/C clock of the first minor frame of    */
/*                 the cycle in which the rate was accumulated.      */
/*                 The value 256 is subtracted from the S/C clock of */
/*                 the first minor frame of the cycle in which the   */
/*                 low priority rates were readout.                  */
/*                                                                   */
/* Note: All rates are compressed.                                   */
/*                                                                   */
/* Note: Quality bits are defined in the table below.  If the field  */
/*       which the quality byte is trying to characterize contains   */
/*       multiple bytes, the quality byte associated with the field  */
/*       is the logical "or" of the individual quality bytes.        */
/*                                                                   */
/* Quality bits:                                                     */
/*    0x01 = Format ID error                                         */
/*    0x02 = Minor/major counter error                               */
/*    0x04 = S/C clock error                                         */
/*    0x08 = Sync bit error                                          */
/*    0x10 = Command table index error                               */
/*    0x20 = Cycle number error                                      */
/*    0x40 = Level 0 quality bit                                     */
/*    0x80 = Level 1 quality bit                                     */
